Skip to main content
POST
/
merchant
/
invoice
/
create_mark_refund
Create And Mark Manual Refund (Crypto/WireTransfer/External)
curl --request POST \
  --url https://api.unibee.dev/merchant/invoice/create_mark_refund \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "invoiceId": "<string>",
  "reason": "<string>",
  "refundAmount": 123,
  "refundNo": "<string>"
}
'
{
  "code": 123,
  "data": {
    "refund": {
      "countryCode": "<string>",
      "createTime": 123,
      "currency": "<string>",
      "externalRefundId": "<string>",
      "gatewayCurrencyExchange": {
        "exchange_amount": 123,
        "exchange_rate": 123,
        "from_currency": "<string>",
        "to_currency": "<string>"
      },
      "gatewayId": 123,
      "gatewayRefundId": "<string>",
      "invoiceId": "<string>",
      "merchantId": 123,
      "metadata": {},
      "paymentId": "<string>",
      "refundAmount": 123,
      "refundComment": "<string>",
      "refundCommentExplain": "<string>",
      "refundId": "<string>",
      "refundTime": 123,
      "returnUrl": "<string>",
      "status": 123,
      "subscriptionId": "<string>",
      "type": 123,
      "userId": 123
    }
  },
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/invoice/create_mark_refund Create a manual refund record for a paid invoice when refund has been processed offline via crypto, wire transfer or External gateway, and mark it as requested. Supports crypto, wire transfer and external invoices.

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
invoiceIdstringYesThe unique id of invoice
reasonstringYesThe reason of refund
refundAmountintegerYesThe amount of refund
refundNostringNoThe out refund number (idempotent key from external system)

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/invoice/create_mark_refund" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "invoiceId": "id_example",
  "reason": "",
  "refundAmount": 0,
  "refundNo": ""
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/invoice/create_mark_refund" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "invoiceId": "id_example",
  "reason": "",
  "refundAmount": 0,
  "refundNo": ""
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.
FieldTypeDescription
codeintegerResponse code. 0 = success
dataobjectResponse payload
data.refundobject
messagestringHuman-readable message
requestIdstringRequest ID for support

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Create a manual refund record for a paid invoice when refund has been processed offline via crypto, wire transfer or External gateway, and mark it as requested. Supports crypto, wire transfer and external invoices.

invoiceId
string<string>
required

The unique id of invoice

reason
string<string>
required

The reason of refund

refundAmount
integer<int64>
required

The amount of refund

refundNo
string<string>

The out refund number (idempotent key from external system)

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>